
# Pmbook
基于vuepress封装的markdown文档系统


## 安装

```bash
npm install @primeton-ui/pmbook -g
```

## 使用

```bash
pmbook dev
```
```bash
pmbook build
```

全局安装pmbook后，完成基本目录、附件配置在文档根目录运行pmbook dev命令即可（可能需要管理员身份运行）

### 必要的文件
```
   ├── config                         基本配置文件
       ├── menu 
           ├── menu.js                左侧菜单
           ├── nav.js                 navbar下拉菜单
       ├── config.js 
   ├── public                          附件文件夹
   │   ├── pmbook-logo.svg                 
   ├── dist                            编译产物包
```

#### menu.js

```javascript
export default [{
  'title': '产品文档',
  'children': [{
    'title': '文档说明',
    'path': 'product-doc/introduce',
    'children': [],
  }],
}]
```

#### nav.js

```javascript
export default [
  {
    text: '其他版本',
    items: [
      {
        text: '1.1',
        link: '/1.1/'
      },
      {
        text: '1.2',
        link: '/1.2/'
      }
    ]
  }
]
```

#### config.js

```javascript
import menu from './menu/meun'
import Nav from './menu/nav'

export default {
  // base:'/pmbook/',    基本路径，默认为'/'
  locales: {
    '/': {
      title: 'pmbook',
      description: 'pmbook是一个基于vuepress封装的文档框架，全局安装后可以在任何文档下直接运行、打包',
    },
  },
  themeConfig: {
    sidebar: menu,
    locales: {
      '/': {
        nav: Nav,
      },
    },
    logo: '/pmbook-logo.svg', //logo图片地址对应public文件夹中位值
  },
}
```







